MozillaZine

MR Tech's Local Install 4.6.4 (4-20-06)

Talk about add-ons and extension development.
mrtech

User avatar
 
Posts: 2007
Joined: May 15th, 2003, 7:46 am
Location: New York

Post Posted February 8th, 2006, 12:01 pm

Lee_Dailey: kewl then it's on my list thanks.
mel reyes • mrtech.com • BlogPlaxoLinkedInTwitter
Support mrtech.com get our toolbar

XerBlade

User avatar
 
Posts: 865
Joined: October 4th, 2005, 10:45 pm
Location: Nashville, TN, US

Post Posted February 8th, 2006, 12:32 pm

Um, right-click Make Compatible and Tools menu Make All Compatible both aren't working.
When I know they were a couple dev builds ago.
It will bring up the warning about how bad doing that could be and all if I haven't checked to not show it again, but, once OK is pressed, nothing happens.
User Agent
Extensions
AMD64/2.41GHz RAM/1.0GB ATI/256MB-GDDR3/128-bit/8xAGP Cable6.0M/384kbps

mrtech

User avatar
 
Posts: 2007
Joined: May 15th, 2003, 7:46 am
Location: New York

Post Posted February 8th, 2006, 12:41 pm

XerBlade wrote:Um, right-click Make Compatible and Tools menu Make All Compatible both aren't working.
When I know they were a couple dev builds ago.
It will bring up the warning about how bad doing that could be and all if I haven't checked to not show it again, but, once OK is pressed, nothing happens.

there are very very few extensions that this doesn't work on, but I've just finished using it a few times in the past couple of days including about an hour ago.
mel reyes • mrtech.com • BlogPlaxoLinkedInTwitter
Support mrtech.com get our toolbar

XerBlade

User avatar
 
Posts: 865
Joined: October 4th, 2005, 10:45 pm
Location: Nashville, TN, US

Post Posted February 8th, 2006, 1:17 pm

These same extensions I've made compatible many times over.
Basically, with Firefox 1.5.0.1, apparently, when I delete extensions.rdf in my profile and load Firefox, all the extensions which were Made Compatible before are once again disabled for compatiblity. Ones which I had manually changed the maxVersion are still there, of course, but Made Compatible extensions have to be Made Compatible over again.
So, I've done this a bunch of times since 1.5.0.1 came out.... Because I keep getting those annoying ghost extension entries, and, as of 1.5.0.1, I can't seem to ever get it to get rid of them by just reinstalling the extension, when I could about 95% of the time on 1.5.
Now, however, Make Compatible won't work on those same extensions.
Note that the only extensions I updated between the last time it did work and now when it isn't are MTLI (to current version), StumbleUpon (to its latest version), and Linkification (to its current dev build [that's the one that gave me the ghost entry (Linkification does almost every time...) that caused this most recent bout]).
Also note that it won't work in EM loaded in Sidebar, Window, or Tab.
Last edited by XerBlade on February 8th, 2006, 1:20 pm, edited 1 time in total.
User Agent
Extensions
AMD64/2.41GHz RAM/1.0GB ATI/256MB-GDDR3/128-bit/8xAGP Cable6.0M/384kbps

mrtech

User avatar
 
Posts: 2007
Joined: May 15th, 2003, 7:46 am
Location: New York

Post Posted February 8th, 2006, 1:20 pm

XerBlade wrote:These same extensions I've made compatible many times over.
Basically, with Firefox 1.5.0.1, apparently, when I delete extensions.rdf in my profile and load Firefox, all the extensions which were Made Compatible before are once again disabled for compatiblity. Ones which I had manually changed the maxVersion are still there, of course, but Made Compatible extensions have to be Made Compatible over again.
So, I've done this a bunch of times since 1.5.0.1 came out.... Because I keep getting those annoying ghost extension entries, and, as of 1.5.0.1, I can't seem to ever get it to get rid of them by just reinstalling the extension, when I could about 95% of the time on 1.5.
Now, however, Make Compatible won't work on those same extensions.

the key to the ghost entries is to reinstall from the exact same location that caused the ghosting.

at this point make compatible might be getting confused with the ghost entries, not sure.
mel reyes • mrtech.com • BlogPlaxoLinkedInTwitter
Support mrtech.com get our toolbar

XerBlade

User avatar
 
Posts: 865
Joined: October 4th, 2005, 10:45 pm
Location: Nashville, TN, US

Post Posted February 8th, 2006, 1:22 pm

Like I said, I keep trying that, and it used to work, but now it only ever works in TM and never in EM.
But that I don't think is the problem, considering, since I removed the extensions.rdf and had it rebuilt and all, again, there is no ghost entry.
User Agent
Extensions
AMD64/2.41GHz RAM/1.0GB ATI/256MB-GDDR3/128-bit/8xAGP Cable6.0M/384kbps

Lee_Dailey

User avatar
 
Posts: 14194
Joined: July 27th, 2004, 4:33 pm
Location: milky way galaxy, sol system, terra, north america, usa, tx, bedford

Post Posted February 8th, 2006, 1:49 pm

mrtech wrote:Lee_Dailey: kewl then it's on my list thanks.


howdy mrtech,

you are quite welcome, sir! [*grin*]

take care,
lee

Tmaeus
 
Posts: 28
Joined: July 28th, 2005, 12:05 pm

Post Posted February 8th, 2006, 3:04 pm

Hi, the autoarchive issue for Mac OSX from the previous (4.0+) thread seems to have mutated in 4.1.
OpenMacNews wrote:

when i browse to select a real path for "Default install path for extensions", the field is populated, instead, with 'garbage', e.g.:


I get the same thing. I push the Browse button, select my folder, and the field fills with a long string of text. It didn't bother me at first, since it seemed to work fine, putting my .xpi files in the right folder. But sometimes, if I right click on a link and select "Archive XPI", I get a warning that I can't until I select an archive path. When that pane pops up, the field is filled with the correct path, but in plain text. Then I hit "Browse", etc.


Now, when I browse and select a folder, the field shows the simple, correct path. But when I try to archive an xpi, I get the "default path must be set for archiving to work" message. If I click OK and go to the browse for a path step, the previously set, correct path is still there. And if I install directly from a link, it installs fine, but is not archived.

I'm running Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US; rv:1.8.0.1) Gecko/20060111 Firefox/1.5.0.1 - Build ID: 2006011112 with 10.2.8. Are you getting this with 10.4.4, OpenMacNews?

mrtech

User avatar
 
Posts: 2007
Joined: May 15th, 2003, 7:46 am
Location: New York

Post Posted February 8th, 2006, 3:08 pm

Tmaeus: on my list, this was mentioned on the taillend of the previous thread, thanks for confirming.
mel reyes • mrtech.com • BlogPlaxoLinkedInTwitter
Support mrtech.com get our toolbar

Tmaeus
 
Posts: 28
Joined: July 28th, 2005, 12:05 pm

Post Posted February 8th, 2006, 3:12 pm

OK, cool. Must've missed it.

0live
 
Posts: 799
Joined: June 15th, 2004, 7:28 am
Location: Brussels

Post Posted February 8th, 2006, 3:16 pm

Mel it won't install on Sunbird because it requires Sb 0.3.1 and (unless i've missed a release) the latest Sb builds (trunk nightlies) are 0.3a1+
Linux i686 (ubuntu-gutsy) | Minefield (20081118020400) | Tb 2.0.0.17pre (2008092517) w/ Lightning

mrtech

User avatar
 
Posts: 2007
Joined: May 15th, 2003, 7:46 am
Location: New York

Post Posted February 8th, 2006, 3:18 pm

0live wrote:Mel it won't install on Sunbird because it requires Sb 0.3.1 and (unless i've missed a release) the latest Sb builds (trunk nightlies) are 0.3a1+

umo won't allow anything but 0.3.1, just manually hack the version, but the next release fixes a ton of sb support issues, I would wait.
mel reyes • mrtech.com • BlogPlaxoLinkedInTwitter
Support mrtech.com get our toolbar

rtk
 
Posts: 275
Joined: January 17th, 2005, 4:33 pm

Post Posted February 8th, 2006, 6:49 pm

From the end of the last thread...

@Mel

There was some talk (ok, admittedly started by me) a while back about the possibility of a context menu item in the EM to archive extensions with updates manually, and thoughts either way? Not possible and/or not interested?
rtk

Metalstream

User avatar
 
Posts: 4678
Joined: April 15th, 2005, 8:34 pm
Location: Could be anywhere...

Post Posted February 8th, 2006, 7:33 pm

I'm having the same Xerblade's issue, but my extensions are chromedit and favicon picker...don't know what to do....
"I love God, He's my favourite fictional character." - Homer J. Simpson

mrtech

User avatar
 
Posts: 2007
Joined: May 15th, 2003, 7:46 am
Location: New York

Post Posted February 8th, 2006, 8:12 pm

Metalstream wrote:I'm having the same Xerblade's issue, but my extensions are chromedit and favicon picker...don't know what to do....

so what exactly happens? do you get any error msgs in js console?
mel reyes • mrtech.com • BlogPlaxoLinkedInTwitter
Support mrtech.com get our toolbar

Return to Extension Development


Who is online

Users browsing this forum: No registered users and 2 guests